Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf
Class HandlerConfig

    java.lang.Object
      edu.internet2.middleware.shibboleth.wayf.HandlerConfig

    public class HandlerConfig

extends Object

Class used by the DiscoveryServiceHandler to handle run time behaviour.

Constructor Summary
`HandlerConfig()` Build the 'default default' configuation.
`HandlerConfig(Element config, HandlerConfig defaultValue)` Parse the Supplied XML element into a new WayfConfig Object.

Method Summary
`String` | `getErrorJspFile()` Get the name of the error jsp File this instance uses.
`String` | `getJspFile()` Get the name of the jsp File this instance uses.
`boolean` | `getLookupSp()` Do we lookup the SP or just return all the IdPs?.
`boolean` | `getProvideList()` Do we provide a list of IdPs?.
`boolean` | `getProvideListOfLists()` Do we provide a list of lists of IdPs?.
`boolean` | `getWarnOnBadBinding()` Do ignore badly formed bindings or just warn
`boolean` | `isIgnoredForMatch(String str)` Determines if a particular string token should be used for matching when a user searches for origins.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerConfig

    public HandlerConfig()

  Build the 'default default' configuation.

### HandlerConfig

    public HandlerConfig(Element config,
                         HandlerConfig defaultValue)
                  throws ShibbolethConfigurationException

  Parse the Supplied XML element into a new WayfConfig Object.

  Parameters:
    `config` - - The XML with the configuration info.
    `defaultValue` - - The default if nothing is specified.
  Throws:
    `ShibbolethConfigurationException` - - if we see somethin wrong.

Method Detail

### isIgnoredForMatch

    public boolean isIgnoredForMatch(String str)

  Determines if a particular string token should be used for matching when a user searches for origins.

  Parameters:
    `str` - - The string to lookup.
  Returns:
    whether it is or not.

### getJspFile

    public String getJspFile()

  Get the name of the jsp File this instance uses.

  Returns:
    the name.

### getErrorJspFile

    public String getErrorJspFile()

  Get the name of the error jsp File this instance uses.

  Returns:
    the name.

### getProvideListOfLists

    public boolean getProvideListOfLists()

  Do we provide a list of lists of IdPs?.

  Returns:
    whether we do or not.

### getProvideList

    public boolean getProvideList()

  Do we provide a list of IdPs?.

  Returns:
    whether we provide a list of IdPs?.

### getLookupSp

    public boolean getLookupSp()

  Do we lookup the SP or just return all the IdPs?.

  Returns:
    whether or not we lookup the SP

### getWarnOnBadBinding

    public boolean getWarnOnBadBinding()

  Do ignore badly formed bindings or just warn

  Returns:
    whether we warn.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2009 Internet2. All Rights Reserved.